/**
 * montonio/module-hire-purchase
 *
 * @category   montonio
 * @package    module-hire-purchase
 * @copyright  Copyright (c) 2020 Montonio Finance OÜ  (https://montonio.com/)
 * @license    https://www.gnu.org/licenses/gpl-3.0.txt
 */
define(
    [
        'uiComponent',
        'Magento_Checkout/js/model/payment/renderer-list'
    ],
    function (
        Component,
        rendererList
    ) {
        'use strict';
        return Component.extend({
            initialize: function() {
                this._super();
                rendererList.push(
                    {
                        type: this.cnf.methodCode,
                        component: 'Montonio_Hirepurchase/js/view/payment/method-renderer/montonio-method',
                        config: {
                            "methodCnf" : this.cnf
                        }
                    }
                );
            }
        });
    }
);
